Index: /trunk/BNC/RTCM3/RTCM3Decoder.cpp
===================================================================
--- /trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 1534)
+++ /trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 1535)
@@ -47,5 +47,6 @@
 #include "bncconst.h"
 #include "bncapp.h"
-#include "bncutils.h" /* Weber, for latencies */
+#include "bncutils.h"
+#include "bncsettings.h" 
 
 using namespace std;
@@ -64,5 +65,5 @@
 RTCM3Decoder::RTCM3Decoder(const QString& staID) : GPSDecoder() {
 
-  QSettings settings;
+  bncSettings settings;
   _checkMountPoint = settings.value("messTypes").toString();
   _staID = staID;
Index: /trunk/BNC/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 1534)
+++ /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 1535)
@@ -46,4 +46,5 @@
 #include "bncrinex.h"
 #include "bncapp.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -57,5 +58,5 @@
   // File Output
   // -----------
-  QSettings settings;
+  bncSettings settings;
   QString path = settings.value("corrPath").toString();
   if (!path.isEmpty()) {
@@ -84,5 +85,5 @@
   if (!_fileNameSkl.isEmpty()) {
 
-    QSettings settings;
+    bncSettings settings;
 
     QDateTime datTim = currentDateAndTimeGPS();
Index: /trunk/BNC/bnc.pro
===================================================================
--- /trunk/BNC/bnc.pro	(revision 1534)
+++ /trunk/BNC/bnc.pro	(revision 1535)
@@ -30,5 +30,5 @@
           bncconst.h bnchtml.h bnctableitem.h bnczerodecoder.h        \
           bncnetquery.h bncnetqueryv1.h bncnetqueryv2.h               \
-          bncnetqueryrtp.h                                            \
+          bncnetqueryrtp.h bncsettings.h                              \
           RTCM/GPSDecoder.h RTCM/RTCM2.h RTCM/RTCM2Decoder.h          \
           RTCM/RTCM2_2021.h RTCM/rtcm_utils.h                         \
@@ -49,5 +49,5 @@
           bncconst.cpp bnchtml.cpp bnchlpdlg.cpp bnctableitem.cpp     \
           bnczerodecoder.cpp bncnetqueryv1.cpp bncnetqueryv2.cpp      \
-          bncnetqueryrtp.cpp                                          \
+          bncnetqueryrtp.cpp bncsettings.cpp                          \
           RTCM/RTCM2.cpp RTCM/RTCM2Decoder.cpp                        \
           RTCM/RTCM2_2021.cpp RTCM/rtcm_utils.cpp                     \
Index: /trunk/BNC/bncapp.cpp
===================================================================
--- /trunk/BNC/bncapp.cpp	(revision 1534)
+++ /trunk/BNC/bncapp.cpp	(revision 1535)
@@ -40,5 +40,4 @@
 
 #include <iostream>
-#include <QSettings>
 #include <QMessageBox>
 #include <cmath>
@@ -48,4 +47,5 @@
 #include "bncutils.h" 
 #include "bncrinex.h" 
+#include "bncsettings.h" 
 
 using namespace std;
@@ -163,5 +163,5 @@
   if (_logFileFlag == 0) {
     _logFileFlag = 1;
-    QSettings settings;
+    bncSettings settings;
     QString logFileName = settings.value("logFile").toString();
     if ( !logFileName.isEmpty() ) {
@@ -253,5 +253,5 @@
 void bncApp::printEphHeader() {
 
-  QSettings settings;
+  bncSettings settings;
 
   // Initialization
@@ -640,5 +640,5 @@
   }
 
-  QSettings settings;
+  bncSettings settings;
   _waitCoTime    = settings.value("corrTime").toInt();
   if (_waitCoTime < 1) {
Index: /trunk/BNC/bnccaster.cpp
===================================================================
--- /trunk/BNC/bnccaster.cpp	(revision 1534)
+++ /trunk/BNC/bnccaster.cpp	(revision 1535)
@@ -46,4 +46,5 @@
 #include "bncgetthread.h"
 #include "bncutils.h"
+#include "bncsettings.h"
 #include "RTCM/GPSDecoder.h"
 
@@ -52,5 +53,5 @@
 bncCaster::bncCaster(const QString& outFileName, int port) {
 
-  QSettings settings;
+  bncSettings settings;
 
   connect(this, SIGNAL(newMessage(QByteArray,bool)), 
@@ -190,5 +191,5 @@
   if (newTime <= _lastDumpSec) {
     if (firstObs) {
-      QSettings settings;
+      bncSettings settings;
       if ( !settings.value("outFile").toString().isEmpty() || 
            !settings.value("outPort").toString().isEmpty() ) { 
@@ -363,5 +364,5 @@
 void bncCaster::slotReadMountPoints() {
 
-  QSettings settings;
+  bncSettings settings;
 
   // Reread several options
Index: /trunk/BNC/bncgetthread.cpp
===================================================================
--- /trunk/BNC/bncgetthread.cpp	(revision 1534)
+++ /trunk/BNC/bncgetthread.cpp	(revision 1535)
@@ -57,4 +57,5 @@
 #include "bncnetqueryv2.h"
 #include "bncnetqueryrtp.h"
+#include "bncsettings.h"
 
 #include "RTCM/RTCM2Decoder.h"
@@ -132,5 +133,5 @@
   // Check name conflict
   // -------------------
-  QSettings settings;
+  bncSettings settings;
   QListIterator<QString> it(settings.value("mountPoints").toStringList());
   int num = 0;
@@ -589,5 +590,5 @@
         // ----------------
         if ( _checkMountPoint == _staID || _checkMountPoint == "ALL" ) {
-          QSettings settings;
+          bncSettings settings;
           if ( Qt::CheckState(settings.value("scanRTCM").toInt()) == Qt::Checked) {
 
Index: /trunk/BNC/bncmain.cpp
===================================================================
--- /trunk/BNC/bncmain.cpp	(revision 1534)
+++ /trunk/BNC/bncmain.cpp	(revision 1535)
@@ -47,4 +47,5 @@
 #include "bncapp.h"
 #include "bncwindow.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -132,5 +133,5 @@
   casterUrlList << "http://user:pass@www.euref-ip.net:2101" << "http://user:pass@www.igs-ip.net:2101";
 
-  QSettings settings;
+  bncSettings settings;
   if (settings.allKeys().size() == 0) {
   settings.setValue("adviseFail",       "15");
Index: /trunk/BNC/bncnetqueryrtp.cpp
===================================================================
--- /trunk/BNC/bncnetqueryrtp.cpp	(revision 1534)
+++ /trunk/BNC/bncnetqueryrtp.cpp	(revision 1535)
@@ -19,4 +19,5 @@
 
 #include "bncnetqueryrtp.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -112,5 +113,5 @@
   // Connect the Socket
   // ------------------
-  QSettings settings;
+  bncSettings settings;
   QString proxyHost = settings.value("proxyHost").toString();
   int     proxyPort = settings.value("proxyPort").toInt();
Index: /trunk/BNC/bncnetqueryv1.cpp
===================================================================
--- /trunk/BNC/bncnetqueryv1.cpp	(revision 1534)
+++ /trunk/BNC/bncnetqueryv1.cpp	(revision 1535)
@@ -19,4 +19,5 @@
 
 #include "bncnetqueryv1.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -95,5 +96,5 @@
   // Connect the Socket
   // ------------------
-  QSettings settings;
+  bncSettings settings;
   QString proxyHost = settings.value("proxyHost").toString();
   int     proxyPort = settings.value("proxyPort").toInt();
Index: /trunk/BNC/bncnetqueryv2.cpp
===================================================================
--- /trunk/BNC/bncnetqueryv2.cpp	(revision 1534)
+++ /trunk/BNC/bncnetqueryv2.cpp	(revision 1535)
@@ -16,4 +16,5 @@
 
 #include "bncnetqueryv2.h"
+#include "bncsettings.h"
 
 #define BNCVERSION "1.7"
@@ -100,5 +101,5 @@
   // Proxy Settings
   // --------------
-  QSettings settings;
+  bncSettings settings;
   QString proxyHost = settings.value("proxyHost").toString();
   int     proxyPort = settings.value("proxyPort").toInt();
Index: /trunk/BNC/bncrinex.cpp
===================================================================
--- /trunk/BNC/bncrinex.cpp	(revision 1534)
+++ /trunk/BNC/bncrinex.cpp	(revision 1535)
@@ -55,4 +55,5 @@
 #include "bncgetthread.h"
 #include "bncnetqueryv2.h"
+#include "bncsettings.h"
 #include "RTCM3/rtcm3torinex.h"
 
@@ -76,5 +77,5 @@
   _reloadDone    = false;
 
-  QSettings settings;
+  bncSettings settings;
   _rnxScriptName = settings.value("rnxScript").toString();
   expandEnvVar(_rnxScriptName);
@@ -106,5 +107,5 @@
     delete it.next();
   }
-  QSettings settings;
+  bncSettings settings;
   if ((_rinexVers == 3) && ( Qt::CheckState(settings.value("rnxAppend").toInt()) != Qt::Checked) ) {
     _out << ">                              4  1" << endl;
@@ -320,5 +321,5 @@
 void bncRinex::resolveFileName(const QDateTime& datTim) {
 
-  QSettings settings;
+  bncSettings settings;
   QString path = settings.value("rnxPath").toString();
   expandEnvVar(path);
@@ -365,5 +366,5 @@
                            const QDateTime& datTimNom) {
 
-  QSettings settings;
+  bncSettings settings;
 
   // Open the Output File
Index: /trunk/BNC/bncsettings.cpp
===================================================================
--- /trunk/BNC/bncsettings.cpp	(revision 1535)
+++ /trunk/BNC/bncsettings.cpp	(revision 1535)
@@ -0,0 +1,23 @@
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      bncSettings
+ *
+ * Purpose:    Subclasses the QSettings
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    25-Jan-2009
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include "bncsettings.h"
+
+// Constructor
+////////////////////////////////////////////////////////////////////////////
+bncSettings::bncSettings() : QSettings() {
+}
+
Index: /trunk/BNC/bncsettings.h
===================================================================
--- /trunk/BNC/bncsettings.h	(revision 1535)
+++ /trunk/BNC/bncsettings.h	(revision 1535)
@@ -0,0 +1,13 @@
+#ifndef BNCSETTINGS_H
+#define BNCSETTINGS_H
+
+#include <QSettings>
+
+class bncSettings : public QSettings {
+ public:
+  bncSettings();
+  virtual ~bncSettings() {};
+ private:
+};
+
+#endif
Index: /trunk/BNC/bnctabledlg.cpp
===================================================================
--- /trunk/BNC/bnctabledlg.cpp	(revision 1534)
+++ /trunk/BNC/bnctabledlg.cpp	(revision 1535)
@@ -44,4 +44,5 @@
 #include "bncgetthread.h"
 #include "bncnetqueryv2.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -76,5 +77,5 @@
   connect(_casterHostComboBox, SIGNAL(currentIndexChanged(const QString&)),
           this, SLOT(slotCasterHostChanged(const QString&)));
-  QSettings settings;
+  bncSettings settings;
   settings.remove("casterHostList");
   settings.remove("casterHost");
@@ -294,5 +295,5 @@
 void bncTableDlg::accept() {
 
-  QSettings settings;
+  bncSettings settings;
   settings.setValue("ntripVersion", _ntripVersionComboBox->currentText());
   QUrl url;
@@ -396,5 +397,5 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncTableDlg::addUrl(const QUrl& url) {
-  QSettings settings;
+  bncSettings settings;
   QStringList oldUrlList = settings.value("casterUrlList").toStringList();
   QStringList newUrlList;
@@ -413,5 +414,5 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncTableDlg::slotCasterHostChanged(const QString& newHost) {
-  QSettings settings;
+  bncSettings settings;
   QStringList casterUrlList = settings.value("casterUrlList").toStringList();
   for (int ii = 0; ii < casterUrlList.count(); ii++) {
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 1534)
+++ /trunk/BNC/bncwindow.cpp	(revision 1535)
@@ -49,4 +49,5 @@
 #include "bnchtml.h" 
 #include "bnctableitem.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -115,5 +116,5 @@
   AddToolbar();
 
-  QSettings settings;
+  bncSettings settings;
   _proxyHostLineEdit  = new QLineEdit(settings.value("proxyHost").toString());
   _proxyPortLineEdit  = new QLineEdit(settings.value("proxyPort").toString());
@@ -670,5 +671,5 @@
   }
 
-  QSettings settings;
+  bncSettings settings;
 
   QListIterator<QString> it(settings.value("mountPoints").toStringList());
@@ -740,5 +741,5 @@
 void bncWindow::slotAddMountPoints() {
 
-  QSettings settings;
+  bncSettings settings;
   QString proxyHost = settings.value("proxyHost").toString();
   int     proxyPort = settings.value("proxyPort").toInt();
@@ -865,5 +866,5 @@
                                    QMessageBox::NoButton);
   if (iRet == QMessageBox::Yes) {
-  QSettings settings;
+  bncSettings settings;
   settings.remove("");
   }
@@ -887,5 +888,5 @@
   }
 
-  QSettings settings;
+  bncSettings settings;
 
   settings.setValue("adviseFail",  _adviseFailSpinBox->value());
@@ -1062,5 +1063,5 @@
   QFont newFont = QFontDialog::getFont(&ok, this->font(), this); 
   if (ok) {
-    QSettings settings;
+    bncSettings settings;
     settings.setValue("font", newFont.toString());
     QApplication::setFont(newFont);
@@ -1080,5 +1081,5 @@
 void bncWindow::slotMountPointsRead(QList<bncGetThread*> threads) {
   populateMountPointsTable();
-  QSettings settings;
+  bncSettings settings;
   _binSamplSpinBox->setValue(settings.value("binSampl").toInt());
   _waitTimeSpinBox->setValue(settings.value("waitTime").toInt());
Index: /trunk/BNC/bnczerodecoder.cpp
===================================================================
--- /trunk/BNC/bnczerodecoder.cpp	(revision 1534)
+++ /trunk/BNC/bnczerodecoder.cpp	(revision 1535)
@@ -42,4 +42,5 @@
 #include "bnczerodecoder.h"
 #include "bncutils.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -49,5 +50,5 @@
 bncZeroDecoder::bncZeroDecoder(const QString& fileName) {
 
-  QSettings settings;
+  bncSettings settings;
   QString path = settings.value("rnxPath").toString();
   expandEnvVar(path);