Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 1519)
+++ trunk/BNC/bnchelp.html	(revision 1541)
@@ -74,11 +74,7 @@
 </p>
 <p>
-All configuration files for running BNC on Unix/Linux/Mac systems are saved in directory ${HOME}/.config/BKG. The default configuration file name there is 'BKG_NTRIP_Client' with suffix '.conf'.
-</p>
-<p>
-On Windows systems all configurations for running BNC are saved in register HKEY_CURRENT_USER/Software/BKG. The default configuration register name there is 'BKG_NTRIP_Client.
-</p>
-<p>
-The default 'BKG_NTRIP_Client' can be changed. The contents of configuration files/registers can easily be edited. Some options can be changed on-the-fly. See annexed 'Configuration Example' for a complete set of saved configuration options.
+As a default, configuration files for running BNC on Unix/Linux/Mac systems are saved in directory '${HOME}/.config/BKG'. On Windows systems, they are typically saved in directory 'C:/Documents and Settings/Username/.config/BKG'. The default configuration file name is 'BNC.ini'.</p>
+<p>
+The default file name 'BNC.ini' can be changed and the file contents can easily be edited. On graphic systems it is possible to Drag & Drop a configuration file icon to start BNC. Some configuration options can be changed on-the-fly. See annexed 'Configuration Example' for a complete set of configuration options.
 </p>
 <p>
@@ -159,8 +155,6 @@
 Use smaller font size if the BNC main window exceeds the size of your screen.
 </li> 
-<li> save selected options in configuration file resp. Windows register.<br>
+<li> save selected options in configuration file.<br>
 When using 'Save & Activate Options' while BNC is already processing data, some configuration options become immediately effective on-the-fly without interrupting uninvolved threads. See annexed section 'Configuration Example' for a list of on-the-fly changeable configuration options.
-</li>
-<li> remove all options from configuration file/register on disk.
 </li>
 <li> quit the BNC program.
@@ -215,5 +209,5 @@
 <p><a name="genconf"><h4>3.4.3 Reread Configuration - optional</h4></p>
 <p>
-When operating BNC online in 'no window' mode (command line option -nw), some configuration options can nevertheless be changed on-the-fly without interrupting the running process. For that you force the program to reread parts of its configuration in pre-defined intervals from the disk. Select '1 min', '1 hour', or '1 day' to let BNC reread on-the-fly changeable configuration options every full minute, hour, or day. This lets in between edited options become effective without interrupting uninvolved threads. See annexed section 'Configuration Example' for a Unix/Linux/Mac configuration file example and a list of on-the-fly changeable options.
+When operating BNC online in 'no window' mode (command line option -nw), some configuration options can nevertheless be changed on-the-fly without interrupting the running process. For that you force the program to reread parts of its configuration in pre-defined intervals from the disk. Select '1 min', '1 hour', or '1 day' to let BNC reread on-the-fly changeable configuration options every full minute, hour, or day. This lets in between edited options become effective without interrupting uninvolved threads. See annexed section 'Configuration Example' for a configuration file example and a list of on-the-fly changeable options.
 </p> 
 
@@ -557,5 +551,5 @@
 </p>
 <p>
-When selecting the serial communication options listed below, make sure that you pick those confiured to the serial connected device.
+When selecting the serial communication options listed below, make sure that you pick those configured to the serial connected device.
 </p>
 
@@ -838,5 +832,5 @@
 <u>Window mode:</u> Hit 'Save & Activate Options' while BNC is in window mode and already processing data to let changes of your streams selection immediately become effective.
 <p>
-<u>No window mode:</u> When operating BNC online in 'no window' mode (command line option -nw), you force BNC to reread its 'mountPoints' configuration option from disk at pre-defined intervals. Select '1 min', '1 hour', or '1 day' as 'Reread configuration' option to reread the 'mountPoints' option every full minute, hour, or day. This lets a 'mountPoints' option edited in between in the configuration file or Windows register become effective without terminating uninvolved threads. See annexed section 'Configuration Example' for a Unix/Linux/Mac configuration file example and a list of other on-the-fly changeable options.
+<u>No window mode:</u> When operating BNC online in 'no window' mode (command line option -nw), you force BNC to reread its 'mountPoints' configuration option from disk at pre-defined intervals. Select '1 min', '1 hour', or '1 day' as 'Reread configuration' option to reread the 'mountPoints' option every full minute, hour, or day. This lets a 'mountPoints' option edited in between in the configuration file become effective without terminating uninvolved threads. See annexed section 'Configuration Example' for a configuration file example and a list of other on-the-fly changeable options.
 </p>
 
@@ -853,10 +847,10 @@
 <p><a name="cmd"><h4>3.15. Command Line Options</h4></p>
 <p> 
-Command line options are available to run BNC in 'no window' mode or let it read data from a file in offline mode. BNC will then use processing options from the configuration file (Unix/Linux/Mac) or from the Windows register. Note that the self-explaining contents of the configuration file or the Windows register can easily be edited. It is possible to introduce a specific configuration file/register name instead of using the default name 'BKG_NTRIP_Client'.
+Command line options are available to run BNC in 'no window' mode or let it read data from a file in offline mode. BNC will then use processing options from the configuration file. Note that the self-explaining contents of the configuration file can easily be edited. It is possible to introduce a specific configuration file name instead of using the default name 'BNC.ini'.
 </p> 
 
 <p><a name="nw"><h4>3.15.1 No Window Mode - optional</h4></p>
 <p>
-Apart from its regular windows mode, BNC can be started on all systems as a background/batch job with command line option '-nw'. BNC will then run in 'no window' mode, using processing options from its configuration file/register on disk. Terminate BNC using Windows Task Manager when running it in 'no window' mode on Windows systems.
+Apart from its regular windows mode, BNC can be started on all systems as a background/batch job with command line option '-nw'. BNC will then run in 'no window' mode, using processing options from its configuration file on disk. Terminate BNC using Windows Task Manager when running it in 'no window' mode on Windows systems.
 </p> 
 <p> 
@@ -871,5 +865,5 @@
 <p>
 <ul>
-<li>'--file &#060;<u>inputFile</u>&#062;' to enter the full path to an input file containing data in RTCM Version 2.x, or Version 3.x, or RTIGS/SOC format.</li>
+<li>'--file &#060;<u>inputFileName</u>&#062;' to enter the full path to an input file containing data in RTCM Version 2.x, or Version 3.x, or RTIGS/SOC format.</li>
 <li>'--format &#060;<u>format</u>&#062;' to enter one of the file format describing strings 'RTCM_2', 'RTCM_3' or 'RTIGS'.</li>
 <li>'--date YYYY-MM-DD' to enter a date for the first epoch.</li>
@@ -881,16 +875,16 @@
 </p>
 <p>
-Note that it is necessary to define a date and time for the first epoch because RTCM streams do not contain complete time stamps as needed for RINEX. Note further that when running BNC in offline mode, it will use options for file saving, interval, sampling etc. from its configuration file/register.
+Note that it is necessary to define a date and time for the first epoch because RTCM streams do not contain complete time stamps as needed for RINEX. Note further that when running BNC in offline mode, it will use options for file saving, interval, sampling etc. from its configuration file.
 </p> 
 
 <p><a name="conffile"><h4>3.15.3 Configuration File - optional</h4></p>
-The default configuration file name on  Unix/Linux/Mac systems is 'BKG_NTRIP_Client' with suffix '.conf'. On Windows systems the configuration is saved in register 'BKG_NTRIP_Client'. You may change the configuration file/register name at startup time using the command line option '--conf &#060;<u>confFile</u>&#062;'. This allows to run several BNC jobs in parallel on the same host using differen sets of configuration options.
+The default configuration file name is 'BNC.ini'. You may change this name at startup time using the command line option '--conf &#060;<u>confFileName</u>&#062;'. This allows to run several BNC jobs in parallel on the same host using different sets of configuration options. <u>confFileName</u> stands either for the full path to a configuration file or just for a file name. If you introduce only a filename, the corresponding file will be saved in the current working directory from where BNC is started.
 </p>
 <p>
 Example:<br><br>
-./bnc --conf MyConfig
+./bnc --conf MyConfig.ini
 </p> 
 <p> 
-This leads to a BNC job using configuration file 'MyConfig.conf' or the Windows configuration register 'MyConfig'.
+This leads to a BNC job using configuration file 'MyConfig.ini'. The configuration file will be saved in the current working directory.
 </p> 
 
@@ -981,5 +975,5 @@
 <tr><td>Apr 2008 &nbsp;</td><td>Version 1.5 &nbsp;</td><td>[Add] Handle ephemeris from RTCM Version 3.x streams<br> [Add] Upgrade to Qt Version 4.3.2<br> [Add] Optional RINEX v3 output<br> [Add] SBAS support<br> [Bug] RINEX skeleton download following stream outage<br> [Add] Handle ephemeris from RTIGS streams<br> [Add] Monitor stream failure/recovery and latency<br> [Mod] Redesign of main window<br> [Bug] Freezing of About window on Mac systems<br> [Bug] Fixed problem with PRN 32 in RTCMv2 decoder<br> [Bug] Fix for Trimble 4000SSI receivers in RTCMv2 decoder<br> [Mod] Major revision of input buffer in RTCMv2 decoder</td></tr>
 <tr><td>Dec 2008 &nbsp;</td><td>Version 1.6 &nbsp;</td><td>[Mod] Fill blanc columns in RINEXv3 with 0.000<br> [Add] RTCMv3 decoder for clock and orbit corrections<br>[Add] Check RTCMv3 streams for incoming message types<br> [Add] Decode RTCMv2 message types 3, 20, 21, and 22<br> [Add] Loss of lock and lock time indicator<br> [Bug] Rounding error in RTCMv3 decoder concerning GLONASS height<br> [Mod] Accept GLONASS in RTCMv3 when transmitted first<br> [Add] Leap second 1 January 2009<br> [Add] Offline mode, read data from file<br> [Add] Output antenna descriptor, coordinates and excentricities from RTCMv3<br> [Add] Reconfiguration on-the-fly<br> [Mod] Binary ouput of synchronized observations<br> [Add] Binary output of unsynchronized observations<br> [Bug] Fixed problem with joined RTCMv3 blocks</td></tr>
-<tr><td>Jan 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port<br> [Add] Show broadcaster table from www.rtcm-ntrip.org<br> [Add] Enable/disable tab widgets<br> [Add] Change default configuration file/register name<br> [Add] Remove configuration file/register contents</td></tr>
+<tr><td>Jan 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port<br> [Add] Show broadcaster table from www.rtcm-ntrip.org<br> [Add] Enable/disable tab widgets<br> [Add] Change default configuration file/register name<br> [mod] Switch to configuration files in iniFormat</td></tr>
 </table>
 </p>
@@ -1180,5 +1174,5 @@
 <p><a name="config"><h4>8.4. Configuration Example</h4></p>
 <p>
-The following is an example for the contents of a Unix/Linux/Mac configuration file ${HOME}/.config/BKG/BKG_NTRIP_Client.conf. It enables the retrieval of stream ACOR0 form www.euref-ip.net and FFMJ3 from www.igs-ip.net for the generation of 15 min RINEX files. RINEX files are uploaded to an archive using script 'up2archive' :
+The following is an example for the contents of a configuration file 'BNC.ini'. It enables the retrieval of stream ACOR0 form www.euref-ip.net and FFMJ3 from www.igs-ip.net for the generation of 15 min RINEX files. RINEX files are uploaded to an archive using script 'up2archive' :
 <pre>
 [General]
@@ -1230,8 +1224,5 @@
 </p>
 <p>
-Note that on Windows systems configuration options are saved in register BKG_NTRIP_Client.
-</p>
-<p>
-Note further that the following configuration options saved on disk can be changed/edited on-the-fly while BNC is already processing data:
+Note that the following configuration options saved on disk can be changed/edited on-the-fly while BNC is already processing data:
 </p>
 <p>