Index: /trunk/BNC/bnchelp.html
===================================================================
--- /trunk/BNC/bnchelp.html	(revision 1602)
+++ /trunk/BNC/bnchelp.html	(revision 1603)
@@ -118,6 +118,7 @@
 &nbsp; &nbsp; &nbsp; 3.9.5. <a href=#serdata>Data Bits</a><br>
 &nbsp; &nbsp; &nbsp; 3.9.6. <a href=#serstop>Stop Bits</a><br>
-&nbsp; &nbsp; &nbsp; 3.9.7. <a href=#serauto>NMEA</a><br>
-&nbsp; &nbsp; &nbsp; 3.9.8. <a href=#serheight>Height</a><br>
+&nbsp; &nbsp; &nbsp; 3.9.7. <a href=#serauto>VRS/NMEA</a><br>
+&nbsp; &nbsp; &nbsp; 3.9.8. <a href=#serfile>File</a><br>
+&nbsp; &nbsp; &nbsp; 3.9.9. <a href=#serheight>Height</a><br>
 3.10. <a href=#advnote>Outages</a><br>
 &nbsp; &nbsp; &nbsp; 3.10.1. <a href=#obsrate>Observation Rate</a><br>
@@ -591,5 +592,7 @@
 </p>
 
-<p><a name="serauto"><h4>3.9.7 NMEA - optional</h4></p>
+<p><a name="serauto"><h4>3.9.7 VRS/NMEA - optional</h4></p>
+<p>Concerning 'Virtual Reference Stations' (VRS) only:
+</p>
 <p>
 Select 'Auto' to automatically forward all NMEA-GGA messages (or any other message) coming from your serial connected device to the NTRIP brodacaster.</p>
@@ -601,7 +604,12 @@
 </p>
 
-<p><a name="serheight"><h4>3.9.8 Height - mandatory if 'Manual' NMEA is set</h4></p>
-<p>
-Concerning 'Virtual Reference Stations' (VRS):<p></p>Specify an approximate 'Height' in meter for your VRS to simulate an inital NMEA GGA message.
+<p><a name="serfile"><h4>3.9.8 File - optional if 'Auto' NMEA is set</h4></p>
+<p>Specify the full path to a file where NMEA messages coming from your serial connected device are saved.
+</p>
+<p>The setting of this option is ignored in case of streams coming from physical reference stations.
+</p>
+<p><a name="serheight"><h4>3.9.9 Height - mandatory if 'Manual' NMEA is set</h4></p>
+<p>
+Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA GGA message.
 </p>
 <p>
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 1602)
+++ /trunk/BNC/bncwindow.cpp	(revision 1603)
@@ -351,5 +351,5 @@
   _serialStopBitsComboBox->setWhatsThis(tr("<p>Select the number of 'Stop bits' for the serial link.</p><p>Note that your selection must equal the number of stop bits configured to the serial connected device. Note further that often 1 stop bit is used.</p>"));
   _serialAutoNMEAComboBox->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):<p></p>Select 'Auto' to automatically forward NMEA GGA messages coming from your serial connected device to the NTRIP broadcaster.</p><p>Note that this replaces the 'Manual' simulation of an initial NMEA GGA message based on the approximate (editable) VRS latitude/longitude from the broadcaster's sourcetable and an approximate VRS height to be specified.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
-  _serialFileNMEALineEdit->setWhatsThis(tr("<p>Save NMEA messages coming from your serial connected device in a file.</p>"));
+  _serialFileNMEALineEdit->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):</p><p>Specify the full path to a file where NMEA messages coming from your serial connected device are saved.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
   _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):<p></p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
 
@@ -613,5 +613,5 @@
   serLayout->addWidget(new QLabel("               Stop bits  "),  3,2, Qt::AlignRight);
   serLayout->addWidget(_serialStopBitsComboBox,                   3,3);
-  serLayout->addWidget(new QLabel("NMEA"),                        4,0);
+  serLayout->addWidget(new QLabel("VRS/NMEA"),                    4,0);
   serLayout->addWidget(_serialAutoNMEAComboBox,                   4,1);
   serLayout->addWidget(new QLabel("File (full path)"),            4,2, Qt::AlignRight);