Index: /trunk/BNC/bnchelp.html
===================================================================
--- /trunk/BNC/bnchelp.html	(revision 1616)
+++ /trunk/BNC/bnchelp.html	(revision 1617)
@@ -118,5 +118,5 @@
 &nbsp; &nbsp; &nbsp; 3.9.5. <a href=#serdata>Data Bits</a><br>
 &nbsp; &nbsp; &nbsp; 3.9.6. <a href=#serstop>Stop Bits</a><br>
-&nbsp; &nbsp; &nbsp; 3.9.7. <a href=#serauto>VRS/NMEA</a><br>
+&nbsp; &nbsp; &nbsp; 3.9.7. <a href=#serauto>NMEA</a><br>
 &nbsp; &nbsp; &nbsp; 3.9.8. <a href=#serfile>File</a><br>
 &nbsp; &nbsp; &nbsp; 3.9.9. <a href=#serheight>Height</a><br>
@@ -131,5 +131,5 @@
 &nbsp; &nbsp; &nbsp; 3.11.3. <a href=#miscscan>Scan RTCM</a><br>
 3.12. <a href=#streams>Streams</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.1. <a href=#streamadd>Add Streams</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.1. <a href=#streamadd>Add Streams - Coming from Caster</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.2. <a href=#streamhost>Caster Host and Port</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.3. <a href=#streamtable>Caster Table</a><br>
@@ -140,4 +140,5 @@
 &nbsp; &nbsp; &nbsp; 3.12.8. <a href=#streamedit>Edit Streams</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.9. <a href=#streamconf>Reconfigure Streams On-the-fly</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10. <a href=#streamip>Add Streams - Coming from TCP/IP Port</a><br>
 3.13. <a href=#start>Start</a><br>
 3.14. <a href=#stop>Stop</a><br>
@@ -592,9 +593,7 @@
 </p>
 
-<p><a name="serauto"><h4>3.9.7 VRS/NMEA - mandatory for VRS streams</h4></p>
-<p>This option concerns only 'Virtual Reference Stations' (VRS). Its setting is ignored in case of streams coming from physical reference stations.
-</p>
-<p>
-Select 'Auto' to automatically forward all NMEA-GGA messages (or any other message) coming from your serial connected device to the NTRIP broadcaster.</p>
+<p><a name="serauto"><h4>3.9.7 NMEA - mandatory for VRS streams</h4></p>
+<p>
+Select 'Auto' to automatically forward all NMEA-GGA messages (or any other message) coming from your serial connected device to the NTRIP broadcaster and/or save them in a file.</p>
 <p>
 The alternative is a 'Manual' simulation of an initial NMEA-GGA message based on the approximate (editable) latitude/longitude from the broadcaster's source-table and a default height of 100 meters.
@@ -604,10 +603,13 @@
 </p>
 
-<p><a name="serfile"><h4>3.9.8 File - optional if 'Auto' VRS/NMEA is set</h4></p>
+<p><a name="serfile"><h4>3.9.8 File - optional if 'Auto' NMEA is set</h4></p>
 <p>Specify the full path to a file where NMEA messages coming from your serial connected device are saved.
 </p>
-<p><a name="serheight"><h4>3.9.9 Height - mandatory if 'Manual' VRS/NMEA is set</h4></p>
+<p><a name="serheight"><h4>3.9.9 Height - mandatory if 'Manual' NMEA is set</h4></p>
 <p>
 Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA-GGA message. Latitude and longitude for that (editable) are taken from the broadcaster's source-table.
+</p>
+<p>
+This option concerns only 'Virtual Reference Stations' (VRS). Its setting is ignored in case of streams coming from physical reference stations.
 </p>
 
@@ -761,5 +763,5 @@
 </table>
 
-<p><a name="streamadd"><h4>3.12.1 Add Streams</h4></p>
+<p><a name="streamadd"><h4>3.12.1 Add Streams - Coming from Caster</h4></p>
 <p>
 Button 'Add Streams' opens a window that allows user to select data streams from an NTRIP broadcaster according to their mountpoints.
@@ -839,4 +841,20 @@
 <p>
 <u>No window mode:</u> When operating BNC online in 'no window' mode (command line option -nw), you force BNC to reread its 'mountPoints' configuration option from disk at pre-defined intervals. Select '1 min', '1 hour', or '1 day' as 'Reread configuration' option to reread the 'mountPoints' option every full minute, hour, or day. This lets a 'mountPoints' option edited in between in the configuration file become effective without terminating uninvolved threads. See annexed section 'Configuration Example' for a configuration file example and a list of other on-the-fly changeable options.
+</p>
+
+<p><a name="streamip"><h4>3.12.10 Add Streams - Coming from TCP/IP Port</h4></p>
+<p>
+BNC allows to retrieve streams via TCP directly from an IP address without using the NTRIP transport protocol. For that you:
+<ul>
+<li>Enter the IP address of the stream providing host.</li>
+<li>Enter the port number of the stream providing host.</li>
+<li>Specify a mountpoint. Recommended is a 4-character reference station ID. Example: FFMJ</li>
+<li>Specify the stream format. Available options are 'RTCM_2', 'RTCM_3', 'RTIGS', and 'ZERO'.</li>
+<li>Enter the approximate latitude of the stream providing rover in degrees. Example: 45.32.</li>
+<li>Enter the approximate longitude of the stream providing rover in degrees. Example: -15.20.</li>
+</ul>
+</p>
+<p>
+Streams directly received via TCP/IP port show up with an 'N' for 'No NTRIP' in the 'Streams' canvas section on BNC's main window . Latitude and longitude are to be entered just for informal reasons.
 </p>
 
@@ -981,5 +999,5 @@
 <tr><td>Apr 2008 &nbsp;</td><td>Version 1.5 &nbsp;</td><td>[Add] Handle ephemeris from RTCM Version 3.x streams<br> [Add] Upgrade to Qt Version 4.3.2<br> [Add] Optional RINEX v3 output<br> [Add] SBAS support<br> [Bug] RINEX skeleton download following stream outage<br> [Add] Handle ephemeris from RTIGS streams<br> [Add] Monitor stream failure/recovery and latency<br> [Mod] Redesign of main window<br> [Bug] Freezing of About window on Mac systems<br> [Bug] Fixed problem with PRN 32 in RTCMv2 decoder<br> [Bug] Fix for Trimble 4000SSI receivers in RTCMv2 decoder<br> [Mod] Major revision of input buffer in RTCMv2 decoder</td></tr>
 <tr><td>Dec 2008 &nbsp;</td><td>Version 1.6 &nbsp;</td><td>[Mod] Fill blanc columns in RINEXv3 with 0.000<br> [Add] RTCMv3 decoder for clock and orbit corrections<br>[Add] Check RTCMv3 streams for incoming message types<br> [Add] Decode RTCMv2 message types 3, 20, 21, and 22<br> [Add] Loss of lock and lock time indicator<br> [Bug] Rounding error in RTCMv3 decoder concerning GLONASS height<br> [Mod] Accept GLONASS in RTCMv3 when transmitted first<br> [Add] Leap second 1 January 2009<br> [Add] Offline mode, read data from file<br> [Add] Output antenna descriptor, coordinates and excentricities from RTCMv3<br> [Add] Reconfiguration on-the-fly<br> [Mod] Binary ouput of synchronized observations<br> [Add] Binary output of unsynchronized observations<br> [Bug] Fixed problem with joined RTCMv3 blocks</td></tr>
-<tr><td>Feb 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port<br> [Add] Show broadcaster table from www.rtcm-ntrip.org<br> [Add] Enable/disable tab widgets<br> [Add] User defined configuration file name<br> [mod] Switch to configuration files in iniFormat<br> [Add] Daily logfile rotation</td></tr>
+<tr><td>Feb 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port<br> [Add] Show broadcaster table from www.rtcm-ntrip.org<br> [Add] Enable/disable tab widgets<br> [Add] User defined configuration file name<br> [mod] Switch to configuration files in ini-Format<br> [Add] Daily logfile rotation<br> [Add] Read from TCP/IP port, by-pass NTRIP transport protocol<br> [Add] Save NMEA messages coming from rover</td></tr>
 </table>
 </p>
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 1616)
+++ /trunk/BNC/bncwindow.cpp	(revision 1617)
@@ -351,7 +351,7 @@
   _serialDataBitsComboBox->setWhatsThis(tr("<p>Select the number of 'Data bits' for the serial link.</p><p>Note that your selection must equal the number of data bits configured to the serial connected device. Note further that often 8 data bits are used.</p>"));
   _serialStopBitsComboBox->setWhatsThis(tr("<p>Select the number of 'Stop bits' for the serial link.</p><p>Note that your selection must equal the number of stop bits configured to the serial connected device. Note further that often 1 stop bit is used.</p>"));
-  _serialAutoNMEAComboBox->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):<p></p>Select 'Auto' to automatically forward NMEA GGA messages coming from your serial connected device to the NTRIP broadcaster.</p><p>The alternative is a 'Manual' simulation of an initial NMEA GGA message based on the approximate (editable) VRS latitude/longitude from the broadcaster's sourcetable and an approximate VRS height to be specified.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
-  _serialFileNMEALineEdit->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):</p><p>Specify the full path to a file where NMEA messages coming from your serial connected device are saved.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
-  _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Concerning virtual reference stations (VRS):<p></p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
+  _serialAutoNMEAComboBox->setWhatsThis(tr("<p>Select 'Auto' to automatically forward NMEA-GGA messages coming from your serial connected device to the NTRIP broadcaster and/or save them in a file.</p><p>The alternative is a 'Manual' simulation of an initial NMEA-GGA message based on the approximate (editable) VRS latitude/longitude from the broadcaster's sourcetable and an approximate VRS height to be specified.</p>"));
+  _serialFileNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where NMEA messages coming from your serial connected device are saved.</p>"));
+  _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA-GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
 
   // Canvas with Editable Fields
@@ -614,5 +614,5 @@
   serLayout->addWidget(new QLabel("               Stop bits  "),  3,2, Qt::AlignRight);
   serLayout->addWidget(_serialStopBitsComboBox,                   3,3);
-  serLayout->addWidget(new QLabel("VRS/NMEA"),                    4,0);
+  serLayout->addWidget(new QLabel("NMEA"),                        4,0);
   serLayout->addWidget(_serialAutoNMEAComboBox,                   4,1);
   serLayout->addWidget(new QLabel("File (full path)"),            4,2, Qt::AlignRight);