Index: trunk/BNC/bnc.pro
===================================================================
--- trunk/BNC/bnc.pro	(revision 1661)
+++ trunk/BNC/bnc.pro	(revision 1663)
@@ -6,4 +6,5 @@
 
 DEFINES += NO_RTCM3_MAIN 
+DEFINES += OLD
 ###DEFINES += DEBUG_RTCM2_2021
 unix:DEFINES  += _TTY_POSIX_
Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 1661)
+++ trunk/BNC/bnchelp.html	(revision 1663)
@@ -51,5 +51,5 @@
 <ul>
 <li>RTCM Version 2.x containing message types 18 and 19 or 20 and 21 together with 3 and 22 (GPS and GLONASS), </li> 
-<li>RTCM Version 3.x containing message types 1002 (GPS, SBAS) or 1004 (GPS), 1010 or 1012 (GLONASS), 1019 or 1020 (broadcast ephemeris), 4056 and 4057 (premature messages for combined orbit and clock corrections to GPS and GLONASS broadcast ephemeris)</li>
+<li>RTCM Version 3.x containing message types 1002 (GPS, SBAS) or 1004 (GPS), 1010 or 1012 (GLONASS), 1019 or 1020 (broadcast ephemeris), 4063 and 4069 (premature messages for combined orbit and clock corrections to GPS and GLONASS broadcast ephemeris)</li>
 <li>RTIGS containing GPS record types 200 (observations) and 300 (ephemeris).</li>
 </ul>
@@ -379,12 +379,16 @@
 RTCM is in the process of developing new Version 3 messages to transport satellite clock and orbit corrections in real-time. Based on the latest available proposal, the following premature messages currently under discussion have been implemented in BNC:
 <ul>
-<li>Message type 4050: GPS orbit corrections to Broadcast Ephemeris</li>
-<li>Message type 4051: GPS clock corrections to Broadcast Ephemeris</li>
-<li>Message type 4052: GPS code biases</li>
-<li>Message type 4053: GLONASS orbit corrections to Broadcast Ephemeris</li>
-<li>Message type 4054: GLONASS clock corrections to Broadcast Ephemeris</li>
-<li>Message type 4055: GLONASS code biases</li>
-<li>Message type 4056: Combined orbit and clock corrections to GPS Broadcast Ephemeris</li>
-<li>Message type 4057: Combined orbit and clock corrections to GLONASS Broadcast Ephemeris</li>
+<li>Message type 4060: GPS orbit corrections to Broadcast Ephemeris</li>
+<li>Message type 4061: GPS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4062: GPS code biases</li>
+<li>Message type 4063: Combined orbit and clock corrections to GPS Broadcast Ephemeris</li>
+<li>Message type 4064: GPS User Range Accuracy (URA)</li>
+<li>Message type 4065: High-rate GPS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4066: GLONASS orbit corrections to Broadcast Ephemeris</li>
+<li>Message type 4067: GLONASS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4068: GLONASS code biases</li>
+<li>Message type 4069: Combined orbit and clock corrections to GLONASS Broadcast Ephemeris</li>
+<li>Message type 4070: GLONASS User Range Accuracy (URA)</li>
+<li>Message type 4071: High-rate GLONASS clock corrections to Broadcast Ephemeris</li>
 </ul>
 <p>
@@ -440,5 +444,5 @@
 </p>
 <p>
-The following is an example output from two RTCM Version 3 streams (CLCK1 and CLCK4) containing message types 4056 and 4057:
+The following is an example output from two RTCM Version 3 streams (CLCK1 and CLCK4) containing message types 4063 and 4069:
 <pre>
 ...
@@ -946,5 +950,5 @@
 Using RTCM Version 3.x, BNC will properly handle message types 1002, 1004, 1010, and 1012. Note that when handling message types 1001, 1003, 1009 and 1011 where the ambiguity field is not set, the output will be no valid RINEX. All values will be stored modulo 299792.458 (speed of light).
 </li>
-Concerning the length of data fields in RTCM Version 3.x premature message types 4056 and 4057 (combined orbit and clock corrections to GPS and GLONASS Broadcast Ephemeris, see RTCM document 026-2008-SC104-429 'Version 1 Proposed SSR Messages prepared by Geo++'). A final decision on his is not yet available. Note the what's implemented in BNC is just a temporary solutions.
+Concerning the length of data fields in RTCM Version 3.x premature message types 4063 and 4069 (combined orbit and clock corrections to GPS and GLONASS Broadcast Ephemeris, see RTCM document 026-2008-SC104-429 'Version 1 Proposed SSR Messages prepared by Geo++'). A final decision on his is not yet available. Note the what's implemented in BNC is just a temporary solutions.
 <li>
 Using RTCM Version 2.x, BNC will only handle message types 18 and 19 or 20 and 21 together with position and the antenna offset information carried in types 3 and 22. Note that processing carrier phase corrections and pseudo-range corrections contained in message types 20 and 21 needs access to broadcast ephemeris. Hence, whenever dealing with message types 20 and 21, make sure that broadcast ephemeris become available for BNC through also retrieving at least one RTCM Version 3.x stream carrying message types 1019 (GPS ephemeris) and 1020 (GLONASS ephemeris).