Index: /trunk/BNC/bnchelp.html
===================================================================
--- /trunk/BNC/bnchelp.html	(revision 1665)
+++ /trunk/BNC/bnchelp.html	(revision 1666)
@@ -950,5 +950,5 @@
 Using RTCM Version 3.x, BNC will properly handle message types 1002, 1004, 1010, and 1012. Note that when handling message types 1001, 1003, 1009 and 1011 where the ambiguity field is not set, the output will be no valid RINEX. All values will be stored modulo 299792.458 (speed of light).
 </li>
-Concerning the length of data fields in RTCM Version 3.x premature message types 4063 and 4069 (combined orbit and clock corrections to GPS and GLONASS Broadcast Ephemeris, see RTCM document 012-2009-SC104-528 'Proposed SSR Messages for SV Orbit, Clock, Code Biases, URA prepared by Geo++'). A final decision on his is not yet available. Note the what's implemented in BNC is just a temporary solutions.
+Concerning the RTCM Version 3.x premature message types 4060-4071 (see RTCM document 012-2009-SC104-528 'Proposed SSR Messages for SV Orbit, Clock, Code Biases, URA prepared by Geo++'), a final decision is not yet made. Note the what's implemented in BNC is just a temporary solutions.
 <li>
 Using RTCM Version 2.x, BNC will only handle message types 18 and 19 or 20 and 21 together with position and the antenna offset information carried in types 3 and 22. Note that processing carrier phase corrections and pseudo-range corrections contained in message types 20 and 21 needs access to broadcast ephemeris. Hence, whenever dealing with message types 20 and 21, make sure that broadcast ephemeris become available for BNC through also retrieving at least one RTCM Version 3.x stream carrying message types 1019 (GPS ephemeris) and 1020 (GLONASS ephemeris).
Index: /trunk/BNS/bns.pro
===================================================================
--- /trunk/BNS/bns.pro	(revision 1665)
+++ /trunk/BNS/bns.pro	(revision 1666)
@@ -4,4 +4,5 @@
 CONFIG += release
 #CONFIG += debug
+CONFIG += OLD
 
 RESOURCES += bns.qrc
Index: /trunk/BNS/bnsabout.html
===================================================================
--- /trunk/BNS/bnsabout.html	(revision 1665)
+++ /trunk/BNS/bnsabout.html	(revision 1666)
@@ -21,5 +21,5 @@
 The Bundesamt fuer Geodaesie und Kartographie (BKG) may not be held liable for damages of any kind, direct or consequential, which may result from the use of this software.<br>
 <br>
-BKG, Frankfurt, Germany, December 2008<br>
+BKG, Frankfurt, Germany, March 2009<br>
 E-Mail: <a><u>euref-ip@bkg.bund.de</u></a>.<br>
 </p>
Index: /trunk/BNS/bnshelp.html
===================================================================
--- /trunk/BNS/bnshelp.html	(revision 1665)
+++ /trunk/BNS/bnshelp.html	(revision 1666)
@@ -1,3 +1,3 @@
-<h3>BKG Ntrip State Space Server (BNS) Version 1.0</h3>
+<h3>BKG Ntrip State Space Server (BNS) Version 1.1</h3>
 
 <p>
@@ -51,5 +51,5 @@
 </p>
 <p>
-Note that BNS currently only generates premature RTCM Version 3.x message types 4056 for combined GPS orbit and clock corrections and 4057 for combined GLONASS orbit and clock corrections to Broadcast Ephemeris.
+Note that BNS currently only generates premature RTCM Version 3.x message types 4063 for combined GPS orbit and clock corrections and 4069 for combined GLONASS orbit and clock corrections to Broadcast Ephemeris.
 </p>
 
@@ -275,5 +275,5 @@
 <p><a name="ephc"><h4>4.7. Ephemeris Corrections</h4></p>
 <p>
-BNS can upload the resulting stream(s) of clock and orbit corrections to Broadcast Ephemeris to an NTRIP Broadcaster. Both EUREF and IGS operate an NTRIP broadcaster at <u>http://www.euref-ip.net/home</u> and <u>http://www.igs-ip.net/home</u> which can be used for stream upload. The stream's format is RTCM Version 3.x. Note that it only carries the premature message Types 4056 and 4057 for combined orbit and clock corrections to GPS and GLONASS Broadcast Ephemeris.
+BNS can upload the resulting stream(s) of clock and orbit corrections to Broadcast Ephemeris to an NTRIP Broadcaster. Both EUREF and IGS operate an NTRIP broadcaster at <u>http://www.euref-ip.net/home</u> and <u>http://www.igs-ip.net/home</u> which can be used for stream upload. The stream's format is RTCM Version 3.x. Note that it only carries the premature message Types 4063 and 4069 for combined orbit and clock corrections to GPS and GLONASS Broadcast Ephemeris.
 </p>
 <p>
@@ -362,5 +362,5 @@
 </p>
 <p>
-The following is an example file contents based on combined orbit and clock corrections for GPS and GLONASS carried in RTCM Version 3.x message Type 4056 and 4057:
+The following is an example file contents based on combined orbit and clock corrections for GPS and GLONASS carried in RTCM Version 3.x message Type 4063 and 4069:
 </p>
 <p>
@@ -438,5 +438,5 @@
 </li>
 <li>
-Currently BNS can only generate premature RTCM Version 3.x message Type 4056 and 4057 for combined GPS and GLONASS orbit and clock corrections, see RTCM document 026-2008-SC104-429 'Version 1 Proposed SSR Messages prepared by Geo++'. Note that the length of data fields in these messages is not yet standardized. What's implemented in BNS is just a temporary solution.
+Currently BNS can only generate premature RTCM Version 3.x message Type 4060-4071 (see RTCM document 012-2009-SC104-528 'Proposed SSR Messages for SV Orbit, Clock, Code Biases, URA prepared by Geo++'). Note that what is implemented in BNS is just a temporary solution.
 </li>
 <li>
@@ -474,4 +474,5 @@
 <tr></tr>
 <tr><td>Dec 2008 &nbsp;</td><td>Version 1.0 &nbsp;</td><td>[Add] Source code and binaries published.</td></tr>
+<tr><td>Mar 2009 &nbsp;</td><td>Version 1.1 &nbsp;</td><td>[Add] New messages for URA and high-rate clocks.</td></tr>
 </table>
 </p>
@@ -518,12 +519,16 @@
 <p>
 <ul>
-<li>Message type 4050: GPS orbit corrections to Broadcast Ephemeris</li>
-<li>Message type 4051: GPS clock corrections to Broadcast Ephemeris</li>
-<li>Message type 4052: GPS code biases</li>
-<li>Message type 4053: GLONASS orbit corrections to Broadcast Ephemeris</li>
-<li>Message type 4054: GLONASS clock corrections to Broadcast Ephemeris</li>
-<li>Message type 4055: GLONASS code biases</li>
-<li>Message type 4056: Combined orbit and clock corrections to GPS Broadcast Ephemeris</li>
-<li>Message type 4057: Combined orbit and clock corrections to GLONASS Broadcast Ephemeris</li>
+<li>Message type 4060: GPS orbit corrections to Broadcast Ephemeris</li>
+<li>Message type 4061: GPS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4062: GPS code biases</li>
+<li>Message type 4063: Combined orbit and clock corrections to GPS Broadcast Ephemeris</li>
+<li>Message type 4064: GPS User Range Accuracy (URA)</li>
+<li>Message type 4065: High-rate GPS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4066: GLONASS orbit corrections to Broadcast Ephemeris</li>
+<li>Message type 4067: GLONASS clock corrections to Broadcast Ephemeris</li>
+<li>Message type 4068: GLONASS code biases</li>
+<li>Message type 4069: Combined orbit and clock corrections to GLONASS Broadcast Ephemeris</li>
+<li>Message type 4070: GLONASS User Range Accuracy (URA)</li>
+<li>Message type 4071: High-rate GLONASS clock corrections to Broadcast Ephemeris</li>
 </ul>
 </p>
Index: /trunk/BNS/bnswindow.cpp
===================================================================
--- /trunk/BNS/bnswindow.cpp	(revision 1665)
+++ /trunk/BNS/bnswindow.cpp	(revision 1666)
@@ -42,5 +42,5 @@
   img->setPixmap(QPixmap(":ntrip-logo.png"));
   dlgLayout->addWidget(img, 0,0);
-  dlgLayout->addWidget(new QLabel("BKG Ntrip State Space Server (BNS) Version 1.0"), 0,1);
+  dlgLayout->addWidget(new QLabel("BKG Ntrip State Space Server (BNS) Version 1.1"), 0,1);
   dlgLayout->addWidget(tb,1,0,1,2);
   dlgLayout->addWidget(_closeButton,2,1,Qt::AlignRight);  
@@ -99,5 +99,5 @@
   int ww = QFontMetrics(this->font()).width('w');
   setMinimumSize(77*ww, 65*ww);
-  setWindowTitle(tr("BKG Ntrip State Space Server (BNS) Version 1.0"));
+  setWindowTitle(tr("BKG Ntrip State Space Server (BNS) Version 1.1"));
   setWindowIcon(QPixmap(":ntrip-logo.png"));
 