Index: trunk/BNS/bns.pro
===================================================================
--- trunk/BNS/bns.pro	(revision 1679)
+++ trunk/BNS/bns.pro	(revision 1680)
@@ -29,5 +29,5 @@
 HEADERS =             bns.h   bnswindow.h   bnshlpdlg.h   bnshtml.h   \
           bnseph.h    bnsutils.h bnsrinex.h bnssp3.h bnsoutf.h        \
-          bnscaster.h RTCM/clock_orbit_rtcm.h bnssettings.h bnsappw.h
+          bnscaster.h RTCM/clock_orbit_rtcm.h bnssettings.h bnsapp.h
 
 HEADERS += newmat/controlw.h newmat/include.h newmat/myexcept.h  \
@@ -37,5 +37,5 @@
 SOURCES = bnsmain.cpp bns.cpp bnswindow.cpp bnshlpdlg.cpp bnshtml.cpp  \
           bnseph.cpp  bnsutils.cpp bnsrinex.cpp bnssp3.cpp bnsoutf.cpp \
-          bnscaster.cpp bnssettings.cpp bnsappw.cpp                    \
+          bnscaster.cpp bnssettings.cpp bnsapp.cpp                     \
           RTCM/clock_orbit_rtcm.c
 
Index: trunk/BNS/bnsapp.cpp
===================================================================
--- trunk/BNS/bnsapp.cpp	(revision 1679)
+++ trunk/BNS/bnsapp.cpp	(revision 1680)
@@ -3,5 +3,5 @@
  * -------------------------------------------------------------------------
  *
- * Class:      bnsappw.cpp
+ * Class:      bnsApp
  *
  * Purpose:    This class implements the main application
@@ -15,5 +15,5 @@
  * -----------------------------------------------------------------------*/
 
-#include "bnsappw.h" 
+#include "bnsapp.h" 
 
 using namespace std;
Index: trunk/BNS/bnsappw.cpp
===================================================================
--- trunk/BNS/bnsappw.cpp	(revision 1679)
+++ 	(revision )
@@ -1,44 +1,0 @@
-/* -------------------------------------------------------------------------
- * BKG NTRIP Server
- * -------------------------------------------------------------------------
- *
- * Class:      bnsappw.cpp
- *
- * Purpose:    This class implements the main application
- *
- * Author:     G. Weber
- *
- * Created:    27-Feb-2009
- *
- * Changes:
- *
- * -----------------------------------------------------------------------*/
-
-#include "bnsappw.h" 
-
-using namespace std;
-
-// Constructor
-////////////////////////////////////////////////////////////////////////////
-bnsApp::bnsApp(int& argc, char* argv[], bool GUIenabled) : 
-  QApplication(argc, argv, GUIenabled) {
-}
-
-// Destructor
-////////////////////////////////////////////////////////////////////////////
-bnsApp::~bnsApp() {
-}
-
-// 
-////////////////////////////////////////////////////////////////////////////
-void bnsApp::setConfFileName(const QString& confFileName) {
-  if (confFileName.isEmpty()) {
-    _confFileName = QDir::homePath() + QDir::separator() 
-                  + ".config" + QDir::separator()
-                  + organizationName() + QDir::separator()
-                  + applicationName() + ".ini";
-  }
-  else {
-    _confFileName = confFileName;
-  }
-}
Index: trunk/BNS/bnsappw.h
===================================================================
--- trunk/BNS/bnsappw.h	(revision 1679)
+++ 	(revision )
@@ -1,19 +1,0 @@
-
-#ifndef BNSAPP_H
-#define BNSAPP_H
-
-#include <QApplication>
-#include <QDir>
-
-class bnsApp : public QApplication {
-  Q_OBJECT
-  public:
-    bnsApp(int& argc, char* argv[], bool GUIenabled);
-    virtual ~bnsApp();  
-    void setConfFileName(const QString& confFileName);
-    QString confFileName() const {return _confFileName;}
-
-  private:
-    QString _confFileName;
-};
-#endif
Index: trunk/BNS/bnsmain.cpp
===================================================================
--- trunk/BNS/bnsmain.cpp	(revision 1679)
+++ trunk/BNS/bnsmain.cpp	(revision 1680)
@@ -20,5 +20,5 @@
 #include "bnswindow.h"
 #include "bnsutils.h"
-#include "bnsappw.h"
+#include "bnsapp.h"
 #include "bnssettings.h"
 
Index: trunk/BNS/bnssettings.cpp
===================================================================
--- trunk/BNS/bnssettings.cpp	(revision 1679)
+++ trunk/BNS/bnssettings.cpp	(revision 1680)
@@ -16,5 +16,5 @@
 
 #include "bnssettings.h"
-#include "bnsappw.h"
+#include "bnsapp.h"
 
 // Constructor